Index: trunk/SRC/Interpolation/square2quadrilateral.pro
===================================================================
--- trunk/SRC/Interpolation/square2quadrilateral.pro	(revision 72)
+++ trunk/SRC/Interpolation/square2quadrilateral.pro	(revision 101)
@@ -1,6 +1,5 @@
 ;+
-; NAME:square2quadrilateral
-;
-; PURPOSE:warm (or map) a unit square onto an arbitrary quadrilateral
+;
+; @file_comments warm (or map) a unit square onto an arbitrary quadrilateral
 ; according to the 4-point correspondences:
 ;       (0,0) -> (x0,y0)
@@ -12,25 +11,50 @@
 ; mappings. see ref. bellow.
 ;
-; CATEGORY:image/grid manipulation
-;
-; CALLING SEQUENCE:
+; @categories image, grid manipulation
+;
+; @examples 
 ;
 ;     res = square2quadrilateral(x0,y0,x1,y1,x2,y2,x3,y3[,xin,yin])
 ; 
-; INPUTS:
-;
-;     x0,y0,x1,y1,x2,y2,x3,y3 the coordinates of the quadrilateral
-;     (see above for correspondance with the unit square). Can be
-;     scalar or array. (x0,y0), (x1,y1), (x2,y2) and (x3,y3) are
-;     given in the anticlockwise order.
-;
-;     xin,yin:the coordinates of the point(s) for which we want to do the
+FUNCTION square2quadrilateral, x0in, y0in, x1in, y1in, x2in, y2in, x3in, y3in, xxin, yyin
+;     @param x0in {in}{required}  the coordinates of the quadrilateral
+;     (see above for correspondance with the unit square). Can be
+;     scalar or array. (x0,y0), (x1,y1), (x2,y2) and (x3,y3) are
+;     given in the anticlockwise order.
+;     @param y0in {in}{required}  the coordinates of the quadrilateral
+;     (see above for correspondance with the unit square). Can be
+;     scalar or array. (x0,y0), (x1,y1), (x2,y2) and (x3,y3) are
+;     given in the anticlockwise order.
+;     @param x1in {in}{required}  the coordinates of the quadrilateral
+;     (see above for correspondance with the unit square). Can be
+;     scalar or array. (x0,y0), (x1,y1), (x2,y2) and (x3,y3) are
+;     given in the anticlockwise order.
+;     @param y1in {in}{required}  the coordinates of the quadrilateral
+;     (see above for correspondance with the unit square). Can be
+;     scalar or array. (x0,y0), (x1,y1), (x2,y2) and (x3,y3) are
+;     given in the anticlockwise order.
+;     @param x2in {in}{required}  the coordinates of the quadrilateral
+;     (see above for correspondance with the unit square). Can be
+;     scalar or array. (x0,y0), (x1,y1), (x2,y2) and (x3,y3) are
+;     given in the anticlockwise order.
+;     @param y2in {in}{required}  the coordinates of the quadrilateral
+;     (see above for correspondance with the unit square). Can be
+;     scalar or array. (x0,y0), (x1,y1), (x2,y2) and (x3,y3) are
+;     given in the anticlockwise order.
+;     @param x3in {in}{required}  the coordinates of the quadrilateral
+;     (see above for correspondance with the unit square). Can be
+;     scalar or array. (x0,y0), (x1,y1), (x2,y2) and (x3,y3) are
+;     given in the anticlockwise order.
+;     @param y3in {in}{required}  the coordinates of the quadrilateral
+;     (see above for correspondance with the unit square). Can be
+;     scalar or array. (x0,y0), (x1,y1), (x2,y2) and (x3,y3) are
+;     given in the anticlockwise order.
+;
+;     @param xxin {in}{required} the coordinates of the point(s) for which we want to do the
 ;     mapping. Can be scalar or array.
-;
-; KEYWORD PARAMETERS:
-;
-;    /DOUBLE: use double precision to perform the computation 
-;
-; OUTPUTS:
+;     @param yyin {in}{required} the coordinates of the point(s) for which we want to do the
+;     mapping. Can be scalar or array.
+;
+; @returns
 ;
 ;     (2,n) array: the new coodinates (xout, yout) of the (xin,yin)
@@ -42,12 +66,9 @@
 ;     matrix A which is used for the inverse transformation. 
 ;
-; COMMON BLOCKS:none
-;
-; SIDE EFFECTS:
-;
-; RESTRICTIONS: I think degenerated quadrilateral (e.g. flat of
+;
+; @restrictions I think degenerated quadrilateral (e.g. flat of
 ; twisted) is not work. This has to be tested.
 ;
-; EXAMPLE:
+; @examples 
 ;
 ; IDL> splot,[0,5],[0,3],/nodata,xstyle=1,ystyle=1
@@ -58,6 +79,6 @@
 ; IDL> tracegrille, reform(out[0,*],11,11), reform(out[1,*],11,11),color=indgen(12)*20
 ;
-; MODIFICATION HISTORY:
-;      Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history
+;      Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;      August 2003
 ;      Based on "Digital Image Warping" by G. Wolberg
